
Smart Proxy - Bug #13747

webrick needs option to change SSL ciphers via configuration vs hard coded values

02/17/2016 01:33 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Security   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1282514 Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/380

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1282514

Description of problem:

Currently the foreman-proxy piece has hard coded SSL ciphers in the following file:

/usr/share/foreman-proxy/lib/poodles-fix.rb

In order for users to pass certain security audits some Ciphers need to be disabled and currently they only approach is to modify the

code, remove the offending cipher, and restart foreman-proxy. This workaround does not survive rpm updates and needs to be

moved to a configuration file

Associated revisions

Revision b73b71a9 - 04/12/2016 06:41 AM - Tomer Brisker 

Fixes #13747 - Allow configuration of dsabled SSL cipher suites

Added a :ssl_disabled_ciphers option to the settings allowing disabling

disallowed cipher suits in webrick.

History

#1 - 02/17/2016 01:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/smart-proxy/pull/380 added

#2 - 02/17/2016 01:41 AM - Tomer Brisker

- Category set to Security

- Assignee deleted (Tomer Brisker)

- Priority changed from High to Normal

#3 - 03/21/2016 06:56 AM - The Foreman Bot

- Assignee set to Tomer Brisker

#4 - 04/12/2016 07:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b73b71a982ce60bdc9ca194d47a4f80c972d661e.

#5 - 04/12/2016 09:02 AM - Dominic Cleal

05/18/2024 1/2

https://bugzilla.redhat.com/show_bug.cgi?id=1282514
https://projects.theforeman.org/projects/smart-proxy/repository/7/revisions/b73b71a982ce60bdc9ca194d47a4f80c972d661e


- translation missing: en.field_release set to 136
